;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux debbugs-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The debbugs-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.

(if (file-exists-p "/usr/share/emacs/site-lisp/debbugs-el/debian-bug.el")
    (progn
      
      ;; We have to add this to the load-path:
      (if (fboundp 'debian-pkg-add-load-path-item)
	  (progn (setq load-path (debian-pkg-add-load-path-item
				  (concat "/usr/share/"
					  (symbol-name flavor)
					  "/site-lisp/debbugs-el")) )
		 (setq load-path (debian-pkg-add-load-path-item
				  "/usr/share/emacs/site-lisp/debbugs-el") ) )
	(progn (setq load-path (cons "/usr/share/emacs/site-lisp/debbugs-el" load-path))
	       (setq load-path (cons (concat "/usr/share/"
					     (symbol-name flavor)
					     "/site-lisp/debbugs-el") load-path)) ) )
      
      (autoload 'debian-bug "debian-bug"
	"Submit a Debian bug report."
	t)
      (autoload 'debian-bug-web-bug "debian-bug"
	"Browse the BTS for a bug report number via browse-url"
	t)
      (autoload 'debian-bug-wnpp "debian-bug"
	"Submit a WNPP bug report to Debian."
	t)
      (autoload 'debian-bug-request-for-package "debian-bug"
	"Shortcut for debian-bug-wnpp with RFP action"
	t)
      (autoload 'debian-bug-ITP "debian-bug"
	"Shortcut for debian-bug-wnpp with ITP action (for Debian developers)"
	t)

      (add-hook 'gnus-startup-hook
		(lambda () (load-library "gnus-BTS")))
      

      ) )
